Bug 1410183 - [RFE] Add Serial Number information in reports for RHV host hardware report
Summary: [RFE] Add Serial Number information in reports for RHV host hardware report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Boriso
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: rhev:report
Depends On:
Blocks: 1480786
TreeView+ depends on / blocked
 
Reported: 2017-01-04 16:53 UTC by myoder
Modified: 2021-03-11 14:53 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:08:54 UTC
Category: Feature
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description myoder 2017-01-04 16:53:10 UTC
Description of problem: Serial Number is not available under the Hardware Information Report for RHV host, would like to see that added


Version-Release number of selected component (if applicable):
CFME 5.5

How reproducible:
Always

Steps to Reproduce:
1. Generate report under Cloud Intel >> Reports >> All Reports >> Configuration Management >> Hosts >> Hardware Information report
2. Serial Number is not there
3.

Actual results:


Expected results:


Additional info:

Comment 5 CFME Bot 2017-10-16 05:48:32 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/dd6bab804924ab0000d0865ffc5543df4f33c536

commit dd6bab804924ab0000d0865ffc5543df4f33c536
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Mon Sep 11 17:16:26 2017 +0300
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Sun Oct 15 10:29:06 2017 +0300

    Parse the serial number during refresh
    
    Parse the serial number of host during refresh.
    This is required for:
    https://bugzilla.redhat.com/show_bug.cgi?id=1410183

 .../redhat/infra_manager/refresh/parse/strategies/host_inventory.rb    | 1 +
 app/models/manageiq/providers/redhat/inventory/parser/infra_manager.rb | 1 +
 .../providers/redhat/inventory_collection_default/infra_manager.rb     | 3 ++-
 .../providers/redhat/infra_manager/refresh/refresher_4_1_spec.rb       | 3 ++-
 .../providers/redhat/infra_manager/refresh/refresher_4_async_spec.rb   | 3 ++-
 5 files changed, 8 insertions(+), 3 deletions(-)

Comment 6 CFME Bot 2017-10-16 11:47:05 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/848df70cc0a353af49ec58d07ea715b3be112787

commit 848df70cc0a353af49ec58d07ea715b3be112787
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Mon Sep 11 17:15:44 2017 +0300
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Tue Oct 3 17:20:40 2017 +0300

    Parse the serial number during refresh
    
    Parse the serial number of host during refresh.
    This is required for:
    https://bugzilla.redhat.com/show_bug.cgi?id=1410183

 product/reports/110_Configuration Management - Hosts/030_Hardware.yaml | 3 +++
 1 file changed, 3 insertions(+)

Comment 7 Niyaz Akhtar Ansari 2017-11-28 11:46:41 UTC
Verified in Version 5.9.0.11.20171127204214_e316988

Comment 10 errata-xmlrpc 2018-03-01 13:08:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.